ru.bitel.bgbilling.modules.vod.common.bean

## Class Purchase

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.modules.vod.common.bean.Purchase

- All Implemented Interfaces:
    java.io.Serializable, Idable

      public class Purchase
      extends Id

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `STATUS_ACTIVE`
    `static int` | `STATUS_PURCHASED`
    `static int` | `STATUS_ROLLBACKED`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Purchase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAssetId()`
    `java.math.BigDecimal` | `getAssetPrice()`
    `java.lang.String` | `getAssetTitle()`
    `java.lang.String` | `getProductId()`
    `java.lang.String` | `getProductName()`
    `java.lang.String` | `getProductType()`
    `java.util.Date` | `getPurchaseDateTime()`
    `int` | `getStatus()`
    `java.lang.String` | `getSubProductId()`
    `int` | `getSubscriberId()`
    `void` | `setAssetId(java.lang.String assetId)`
    `void` | `setAssetPrice(java.math.BigDecimal assetPrice)`
    `void` | `setAssetTitle(java.lang.String assetTitle)`
    `void` | `setProductId(java.lang.String productId)`
    `void` | `setProductName(java.lang.String productName)`
    `void` | `setProductType(java.lang.String productType)`
    `void` | `setPurchaseDateTime(java.util.Date purchaseDateTime)`
    `void` | `setStatus(int status)`
    `void` | `setSubProductId(java.lang.String subProductId)`
    `void` | `setSubscriberId(int subscriberId)`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### STATUS_ACTIVE

          public static final int STATUS_ACTIVE

      See Also:
        Constant Field Values

    - #### STATUS_PURCHASED

          public static final int STATUS_PURCHASED

      See Also:
        Constant Field Values

    - #### STATUS_ROLLBACKED

          public static final int STATUS_ROLLBACKED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Purchase

          public Purchase()

  - ### Method Detail

    - #### getStatus

          public int getStatus()

    - #### setStatus

          public void setStatus(int status)

    - #### getSubscriberId

          public int getSubscriberId()

    - #### setSubscriberId

          public void setSubscriberId(int subscriberId)

    - #### getProductId

          public java.lang.String getProductId()

    - #### setProductId

          public void setProductId(java.lang.String productId)

    - #### getProductName

          public java.lang.String getProductName()

    - #### setProductName

          public void setProductName(java.lang.String productName)

    - #### getProductType

          public java.lang.String getProductType()

    - #### setProductType

          public void setProductType(java.lang.String productType)

    - #### getAssetId

          public java.lang.String getAssetId()

    - #### setAssetId

          public void setAssetId(java.lang.String assetId)

    - #### getAssetTitle

          public java.lang.String getAssetTitle()

    - #### setAssetTitle

          public void setAssetTitle(java.lang.String assetTitle)

    - #### getAssetPrice

          public java.math.BigDecimal getAssetPrice()

    - #### setAssetPrice

          public void setAssetPrice(java.math.BigDecimal assetPrice)

    - #### getSubProductId

          public java.lang.String getSubProductId()

    - #### setSubProductId

          public void setSubProductId(java.lang.String subProductId)

    - #### getPurchaseDateTime

          public java.util.Date getPurchaseDateTime()

    - #### setPurchaseDateTime

          public void setPurchaseDateTime(java.util.Date purchaseDateTime)